<?php
include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

if($ppdFileField == "none"){
	$ppdFileField="";
}

//we shouldn't get anything other than a-z, 0-9 space and underscore here anyway.
//but if we do, get rid of the bad stuff.
$printerNameField=preg_replace("/[^a-z0-9\s_]/i", "" ,$printerNameField);

if(!$printerSpoolField)
	$printerSpoolField="default";

// TODO: ERROR check this...
if (($oid = $cceClient->create("Printer", array("name"=>$printerNameField, "location"=>$locationField, "hostname"=>$printerHostNameField, "spool"=>$printerSpoolField, "PPD"=>"/etc/cobalt-ppd/".$printerNameField.".ppd")))) { 
	$serverScriptHelper->shell("/usr/sausalito/sbin/install-printer.pl " . escapeShellArg($ppdFileField)  . " $oid", $out, "root");
}

$errors = $cceClient->errors();
sleep(1); //let lpd restart
print($serverScriptHelper->toHandlerHtml("/base/printserver/printerList.php", $errors));
 
$serverScriptHelper->destructor();
?>
