<?php
include("ServerScriptHelper.php");

/* 
 * This file has a two step SET.  We first set all our data, then we call our 
 * helper application that will cp the PPD file (if any), then we set the new
 * PPD value into CCE.  This is done so that we can have the handler do any 
 * removals of old PPD data.  This keeps us from letting the user do a rm
 * as root 
 */

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

$newprinter = array();

$oldprinter=$cceClient->getObject("Printer", array("name"=>$oldPrinterName));

/* we shouldn't get anything other than a-z, 0-9 space and underscore here 
 * anyway but if we do, get rid of the bad stuff. */
$printerNameField=preg_replace("/[^a-z0-9\s_]/i", "",$printerNameField);
$newprinter["name"]=$printerNameField;
$newprinter["hostname"] = $printerHostNameField;
$newprinter["spool"] = $printerSpoolField;

$oid=$cceClient->find("Printer", array("name"=>$oldPrinterName));
$cceClient->set($oid[0], "",  $newprinter);
$errors = $cceClient->errors();

/* Now take care of the PPD stuff */
/* we would usually need code to handle the change of the name of a printer,
 * but we currently don't allow that... */
/* I have a new PPD File to be set */
if($ppdFileField != "none") {
	$serverScriptHelper->shell("/usr/sausalito/sbin/install-printer.pl ".
		escapeShellArg($ppdFileField)
		." ".escapeShellArg($oldprinter["OID"]), $out, "root");
}

sleep(2); //give lpd time to figure out the new printer name
	  //otherwise we end up with bad status data.

print($serverScriptHelper->toHandlerHtml("/base/printserver/printerList.php", $errors));
 
$serverScriptHelper->destructor();
?>
