<?php
include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-printserver", "/base/printserver/printserverHandler.php");

function to_bool($v){

	if(!strcasecmp($v,"true")){
		return 1;
	}else if($v == 1){
		return 1;
	}else{
		return 0;
	}
}

$printserver = $cceClient->getObject("System", array(), "PrintServer");
$samba = $cceClient->getObject("System", array(), "WinShare");
$apple = $cceClient->getObject("System", array(), "AppleShare");

$page = $factory->getPage();
 
$block = $factory->getPagedBlock("printserverSettings", array("basic", "advanced"));

//basic
$block->addFormField(
	$factory->getBoolean("enablePrintServersField", $printserver["enable"]),
	$factory->getLabel("enableServersField"),
	"basic"
);


$block->addFormField(
        $factory->getBoolean("enableAppleshareField", to_bool($printserver["appleshare"]) && to_bool($apple["enabled"])),
        $factory->getLabel("enableAppleshareField"),
        "advanced"
);

$block->addFormField(
        $factory->getBoolean("enableSambaField", to_bool($printserver["samba"]) && to_bool($samba["enabled"])),
        $factory->getLabel("enableSambaField"),
        "advanced"
);

$block->addButton($factory->getSaveButton($page->getSubmitAction())); 

$printerList = $factory->getButton("/base/printserver/printerList.php","printerListButton");

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($printerList->toHtml()); ?>
<BR> 

<?php print($block->toHtml()); ?>
 
<?php print($page->toFooterHtml()); ?>
